###############################################################################
# @file includeGeneral.mk
#
# @brief Rules, to deliver generic driver-gen header files
#
# Automatically generated by driver-gen
#
# @author Copyright (C) 2003-2010 CERN. Yury GEORGIEVSKIY <ygeorgie@cern.ch>
#
# @date Created on 25/08/2009
#
# @section license_sec License
#          Released under the GPL
###############################################################################

include ../Makefile.base

# TODO. Use deliver.mk for CERN deivery schema
INSTDIR = /acc/local/$(CPU)/dg/dg

_deliver:
	@if [ -d $(INSTDIR) ]; then \
		if [ -d $(INSTDIR)/previousV ]; then \
			rm -r $(INSTDIR)/previousV; \
		fi; \
		mkdir -p $(INSTDIR)/previousV; \
		cp -p $(INSTDIR)/*.h $(INSTDIR)/previousV; \
	else \
		mkdir -p $(INSTDIR); \
	fi
	$(CP) -p *.h $(INSTDIR)

deliver:
	$(Q)$(MAKE) _deliver CPU=L865
	$(Q)$(MAKE) _deliver CPU=ppc4